org.springframework.data.auditing

## Enum CurrentDateTimeProvider

- java.lang.Object
- - java.lang.Enum<CurrentDateTimeProvider>
  - - org.springframework.data.auditing.CurrentDateTimeProvider

All Implemented Interfaces:
  Serializable, Comparable<CurrentDateTimeProvider>, DateTimeProvider

    public enum CurrentDateTimeProvider
    extends Enum<CurrentDateTimeProvider>
    implements DateTimeProvider

Default `DateTimeProvider` simply creating new `LocalDateTime` instances for each method call.

Since:
  1.5
Author:
  Oliver Gierke, Christoph Strobl

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`INSTANCE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Optional<TemporalAccessor>` `getNow()` Returns the current time to be used as modification or creation date.
`static CurrentDateTimeProvider` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CurrentDateTimeProvider[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### INSTANCE

    public static final CurrentDateTimeProvider INSTANCE

### Method Detail

#### values

    public static CurrentDateTimeProvider[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CurrentDateTimeProvider c : CurrentDateTimeProvider.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CurrentDateTimeProvider valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getNow

    public Optional<TemporalAccessor> getNow()

Description copied from interface: `DateTimeProvider`
Returns the current time to be used as modification or creation date.

Specified by:
  `getNow` in interface `DateTimeProvider`
Returns: